//***************************************************************************************/
// Simbolo S_M_C Micro Dual Serial Motor Controller
// Disegnato da Adriano Gandolfo
// http://www.adrirobot.it
//***************************************************************************************/

// Simbolo integrato LB 1836M contenitore SMD tipo MFP14S
#macro IC_SMD_MFP14S(value,logo)
object{IC_SMD_GRND(8,4.4,1,6.4,7,7,1,1,0.35,0.35,0.15,0.1,0,1,0,1,0.8,0,logo)}
#end

// simbolo pin contenitore Micro Dual Serial Motor Control
#macro PIN_1()
union {
      cylinder{<0,-2.5,0> <0,1.5,0> 0.25 texture{col_silver}}
      box{<-0.5,0.5,-0.3> <0.5,2.5,0.3> texture{col_silver}} 
      }
#end  
#macro S_M_C(value)
union {
      box{<-1.25,1.5,-0.2> <21.57,13.5,0.2> pigment{SkyBlue}} // Basetta principale
      object {PIN_1()}
      object {PIN_1() translate <2.54,0,0>}
      object {PIN_1() translate <5.08,0,0>}
      object {PIN_1() translate <7.72,0,0>}
      object {PIN_1() translate <10.16,0,0>}
      object {PIN_1() translate <12.7,0,0>}
      object {PIN_1() translate <15.24,0,0>}
      object {PIN_1() translate <17.78,0,0>}
      object {PIN_1() translate <20.32,0,0>}
      text {ttf besch_font "SMC" 0.1, 0 pigment{White} scale 1.5 translate<-.5,5,-.5>}
      text {ttf besch_font value 0.1, 0 pigment{White} scale 1.5 translate<-.5,4,-.5>}
      object {IC_SMD_SO8("","") rotate <90,180,180> translate <6,9,0>} 
      object {IC_SMD_MFP14S("","") rotate <90,180,180> translate <15,9,-0.1>} 
      object {CAP_SMD_CHIP_0805(Orange) rotate <90,180,90> translate <1.5,9,0>}
      object {CAP_SMD_CHIP_0805(Orange) rotate <90,180,90> translate <20,9,0>}
      }
#end  
